/*-
 * ~~~~~~licensing~~~~~~
 * profile-commons
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.profile.commons.connectors;

import ru.entaxy.esb.system.profile.commons.Profile;

import java.util.Map;

public abstract class CommonConnector implements Connector {
    protected String endpointName;
    protected Profile profile;
    protected String systemName;
    protected Map<String, String> params;

    public void setEndpointName(String endpointName) {
        this.endpointName = endpointName;
    }

    public void setProfile(Profile profile) {
        this.profile = profile;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }

    @Override
    public String getEndpointName() {
        return endpointName;
    }

    @Override
    public Profile getProfile() {
        return profile;
    }

    @Override
    public String getSystemName() {
        return systemName;
    }

    @Override
    public Map<String, String> getParams() {
        return params;
    }

    @Override
    public String getParam(String paramName) {
        return params.get(paramName);
    }

}
